Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class ILoop extends LoopCommands

  The Scala interactive shell.

  The Scala interactive shell. It provides a read-eval-print loop around the Interpreter class. After instantiation, clients should call the main() method.

  If no in0 is specified, then input will come from the console, and the class will attempt to provide input editing feature such as input history.

  Definition Classes
    interpreter
  Version

    1.2

- ILoopInterpreter
- LineCmd
- LineResults
- LoopCommand
- NullaryCmd
- ReplCompletion
- Result
- VarArgsCmd

o

scala.tools.nsc.interpreter.ILoop

# LineResults 

###

#### object LineResults extends Enumeration

Source
  ILoop.scala

Linear Supertypes
Enumeration, Serializable, java.io.Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LineResults
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type LineResult = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val EOF: Value
5.  val ERR: Value
6.  val OK: Value
7.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
11.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def maxId: Int
    Definition Classes
      Enumeration
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
23.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
29.  def values: ValueSet
    Definition Classes
      Enumeration
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def withName(s: String): Value
    Definition Classes
      Enumeration
34.  object ValueSet extends Serializable
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped